#!/usr/bin/ruby -Ke
require 'rtm'
require 'rtm_config'

userdb = PStore.new(RTM::Config['userdb'])
urldb  = PStore.new(RTM::Config['urldb'])

cgi = CGI.new('html4Tr')
auth = RTM::Auth.new(cgi, userdb, userdb,
                     RTM::Config['bs_opt'],
                     RTM::Config['rs_opt'])
eh = RTM::setup([cgi, auth])

eh.run do
  auth.login
  uname = auth.transaction {|ui| ui['_uname']}

  if cgi.include?('url') && URI::REGEXP::ABS_URI =~ cgi['url'][0]
    # Ͽ
    urldb.transaction do |db|
      db['urls'] = {} unless db.root?('urls')
      db['urls'][cgi['url'][0]] = [Time.at(0), Time.at(0)]
    end
    cgi.out({'charset' => 'iso-2022-jp'}) do
      RTM::screen('url added', "#{cgi['url'][0]}פϿޤ󤫤鹹åԤޤ", cgi, auth)
    end

  else
    # URLϤƤʤ
    # URLϤ줿Τ()Ϥ¥
    
    if cgi.include?('url')
      cgi.out({'charset' => 'iso-2022-jp'}) do
        RTM::screen('add url', 'URLǤURLϤƤ', cgi, auth)
      end
    else
      cgi.out({'charset' => 'iso-2022-jp'}) do
        RTM::screen('add url', 'åԤURLϤƤ', cgi, auth)
      end
    end
  end

end
